Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.bestsolution
Class BestSolutionRecaller

    java.lang.Object
      org.drools.planner.core.bestsolution.BestSolutionRecaller

All Implemented Interfaces:
  SolverLifecycleListener

    public class BestSolutionRecaller

extends Object
implements SolverLifecycleListener

A BestSolutionRecaller remembers the best solution that a `Solver` encounters.

Field Summary
`protected org.slf4j.Logger` | `logger`
`protected SolverEventSupport` | `solverEventSupport`

Constructor Summary
`BestSolutionRecaller()`

Method Summary
`void` | `extractBestSolution(AbstractStepScope stepScope)`
`void` | `setSolverEventSupport(SolverEventSupport solverEventSupport)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `updateBestSolution(DefaultSolverScope solverScope, Solution newBestSolution)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### solverEventSupport

    protected SolverEventSupport solverEventSupport

Constructor Detail

### BestSolutionRecaller

    public BestSolutionRecaller()

Method Detail

### setSolverEventSupport

    public void setSolverEventSupport(SolverEventSupport solverEventSupport)

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`

### extractBestSolution

    public void extractBestSolution(AbstractStepScope stepScope)

### updateBestSolution

    public void updateBestSolution(DefaultSolverScope solverScope,
                                   Solution newBestSolution)

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.